# Generated by Django 5.0.7 on 2024-07-29 21:14

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("shared", "0007_octopusperson_octopus_id"),
        ("wagtailimages", "0026_delete_uploadedimage"),
    ]

    operations = [
        migrations.AlterField(
            model_name="octopusperson",
            name="degree_after",
            field=models.CharField(
                blank=True, max_length=64, null=True, verbose_name="Titul (za)"
            ),
        ),
        migrations.AlterField(
            model_name="octopusperson",
            name="degree_before",
            field=models.CharField(
                blank=True, max_length=64, null=True, verbose_name="Titul (před)"
            ),
        ),
        migrations.AlterField(
            model_name="octopusperson",
            name="display_name",
            field=models.CharField(
                blank=True, max_length=128, null=True, verbose_name="Zobrazované jméno"
            ),
        ),
        migrations.AlterField(
            model_name="octopusperson",
            name="email",
            field=models.EmailField(
                blank=True, max_length=254, null=True, verbose_name="Veřejný email"
            ),
        ),
        migrations.AlterField(
            model_name="octopusperson",
            name="phone",
            field=models.CharField(
                blank=True, null=True, verbose_name="Telefonní číslo"
            ),
        ),
        migrations.AlterField(
            model_name="octopusperson",
            name="photo",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                to="wagtailimages.image",
                verbose_name="Profilový obrázek",
            ),
        ),
    ]
